v.distance should have radio buttons, not checkboxes

2009-10-09 07:03 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12049

Description

In the current v.distance GRASS module, users can select multiple metrics, but only a target column to write to; as a result, if >1 metric is

selected, they get an error. The checkboxes should be replaced by radio buttons, so that only one metric can be selected at a time.

History

#1 - 2009-12-15 08:32 AM - Giovanni Manghi

The checkboxes make sense in the GRASS gui because in GRASS you can specify more than one column name as the field is open.

In QGIS the field to specify the column name is a dropdown, but radio buttons seems to be not available in qgis GRASS plugin.

Workaround:

1) replace the dropdown with a open field

2) make possibile to select more than one column name in the dropdown

3) introduce radio buttons in the plugin

#2 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-23 09:36 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#4 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2016-02-22 09:47 AM - Radim Blazek
- Status changed from Open to Closed

- Resolution set to fixed/implemented

Output columns can be multiple from QGIS 2.14.
